Package com.sap.ai.sdk.grounding.model

# Class S3Configuration

java.lang.Object
com.sap.ai.sdk.grounding.model.S3Configuration

public class S3Configuration extends Object
S3Configuration

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `S3Configuration.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `S3Configuration()`
  Default constructor for S3Configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static S3Configuration.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `S3Configuration` instance with all required arguments.
  `S3Configuration`
  `cronExpression(String cronExpression)`
  Set the cronExpression of this `S3Configuration` instance and return the same instance.
  `S3Configuration`
  `destination(String destination)`
  Set the destination of this `S3Configuration` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getCronExpression()`
  Get cronExpression
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `S3Configuration`.
  `String`
  `getDestination()`
  Get destination
  `ServiceNowConfigurationMinimalServiceNow`
  `getS3()`
  Get s3
  `int`
  `hashCode()`
  `S3Configuration`
  `s3(ServiceNowConfigurationMinimalServiceNow s3)`
  Set the s3 of this `S3Configuration` instance and return the same instance.
  `void`
  `setCronExpression(String cronExpression)`
  Set the cronExpression of this `S3Configuration` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `S3Configuration` instance.
  `void`
  `setDestination(String destination)`
  Set the destination of this `S3Configuration` instance.
  `void`
  `setS3(ServiceNowConfigurationMinimalServiceNow s3)`
  Set the s3 of this `S3Configuration` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `S3Configuration` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### S3Configuration

    protected S3Configuration()
    Default constructor for S3Configuration.

- ## Method Details

  - ### destination

    @Nonnull public S3Configuration destination(@Nonnull String destination)
    Set the destination of this `S3Configuration` instance and return the same instance.
    Parameters:
      `destination` - The destination of this `S3Configuration`
    Returns:
      The same instance of this `S3Configuration` class

  - ### getDestination

    @Nonnull public String getDestination()
    Get destination
    Returns:
      destination The destination of this `S3Configuration` instance.

  - ### setDestination

    public void setDestination(@Nonnull String destination)
    Set the destination of this `S3Configuration` instance.
    Parameters:
      `destination` - The destination of this `S3Configuration`

  - ### s3

    @Nonnull public S3Configuration s3(@Nullable ServiceNowConfigurationMinimalServiceNow s3)
    Set the s3 of this `S3Configuration` instance and return the same instance.
    Parameters:
      `s3` - The s3 of this `S3Configuration`
    Returns:
      The same instance of this `S3Configuration` class

  - ### getS3

    @Nonnull public ServiceNowConfigurationMinimalServiceNow getS3()
    Get s3
    Returns:
      s3 The s3 of this `S3Configuration` instance.

  - ### setS3

    public void setS3(@Nullable ServiceNowConfigurationMinimalServiceNow s3)
    Set the s3 of this `S3Configuration` instance.
    Parameters:
      `s3` - The s3 of this `S3Configuration`

  - ### cronExpression

    @Nonnull public S3Configuration cronExpression(@Nullable String cronExpression)
    Set the cronExpression of this `S3Configuration` instance and return the same instance.
    Parameters:
      `cronExpression` - The cronExpression of this `S3Configuration`
    Returns:
      The same instance of this `S3Configuration` class

  - ### getCronExpression

    @Nonnull public String getCronExpression()
    Get cronExpression
    Returns:
      cronExpression The cronExpression of this `S3Configuration` instance.

  - ### setCronExpression

    public void setCronExpression(@Nullable String cronExpression)
    Set the cronExpression of this `S3Configuration` instance.
    Parameters:
      `cronExpression` - The cronExpression of this `S3Configuration`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `S3Configuration`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `S3Configuration` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `S3Configuration` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `S3Configuration` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static S3Configuration.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `S3Configuration` instance with all required arguments.